Bug 989207 - NM dispatcher script leaks error exit code
NM dispatcher script leaks error exit code
Product: Fedora
Classification: Fedora
Component: dhcp (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jiri Popelka
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2013-07-28 07:04 EDT by Michal Hlavinka
Modified: 2013-10-02 02:46 EDT (History)
2 users (show)

See Also:
Fixed In Version: dhcp-4.2.5-23.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2013-09-22 20:27:30 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Michal Hlavinka 2013-07-28 07:04:51 EDT
Description of problem:
dhcpd uses NetworkManager dispatech script. In this script it tests whether dhcpd, dhcpd6 are enabled and restarts them. Unfortunately if dhcpd6 (being the last one to test) is not enabled, the test returns 1 and because it's the last command executed, whole script exits with 1.

systemctl -q is-enabled dhcpd6.service && systemctl restart dhcpd6.service
^^^ this whole block exits with error 1, when dhcpd6.service is not enabled

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.configure NetworkManager network
2.configure dhcpd

Actual results:
error logged:
... Script '/etc/NetworkManager/dispatcher.d/12-dhcpd' exited with error status 1

Expected results:
no error logged

Additional info:
Comment 1 Jiri Popelka 2013-07-29 06:58:57 EDT
Comment 2 Fedora Update System 2013-09-12 12:42:16 EDT
dhcp-4.2.5-20.fc20 has been submitted as an update for Fedora 20.
Comment 3 Fedora Update System 2013-09-12 12:42:21 EDT
dhcp-4.2.5-20.fc19 has been submitted as an update for Fedora 19.
Comment 4 Fedora Update System 2013-09-12 21:11:42 EDT
Package dhcp-4.2.5-20.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing dhcp-4.2.5-20.fc19'
as soon as you are able to.
Please go to the following url:
then log in and leave karma (feedback).
Comment 5 Fedora Update System 2013-09-22 20:27:30 EDT
dhcp-4.2.5-20.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2013-10-02 02:46:41 EDT
dhcp-4.2.5-23.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.